fuss-manager - Segnalazione #805

Aprire la sezione playbook logs prima di averne generati causa un errore 500 per file not found
05/13/2019 12:14 PM - Elena Grandi

Status: Chiuso Start date: 05/13/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Consolidamento

Resolution:

Description

se li si sono generati prima comunque dovrebbe funzionare

Uncaught exception GET /playbooks/ (::1)
HTTPServerRequest (protocol="http', host='localhost:8888', method='GET', uri='/playbooks/', ver
sion="HTTP/1.1', remote_ip='::1")
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/tornado/web.py", line 1590, in _execute
result = method(*self.path_args, **self.path_kwargs)
File "/home/valhalla/projects/hire/fuss/manager/fuss-manager/manager/web/views.py", line 54,
in get
**self.get_context_data()
File "/home/valhalla/projects/hire/fuss/manager/fuss-manager/manager/web/views.py", line 93,
in get_context_data
earliest = playbook_log.get_first_month ()
File "/home/valhalla/projects/hire/fuss/manager/fuss—-manager/manager/playbook.py", line 85,
in get_first_month
for fn in os.listdir(self.root):
FileNotFoundError: [Errno 2] No such file or directory: './playbooks.log'
[E 190513 11:44:24 web:2162] 500 GET /playbooks/ (::1) 2.52ms

History

#1 - 05/16/2019 12:12 PM - Enrico Zini
- Status changed from Nuovo to Chiuso

- Assignee set to Enrico Zini

Fatto in 23788c0d92b200dd8beb166733b85bf5c56ebe17
